Index: /trunk/SophyaExt/XephemAstroLib/dbfmt.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/dbfmt.c	(revision 2550)
+++ /trunk/SophyaExt/XephemAstroLib/dbfmt.c	(revision 2551)
@@ -747,270 +791,216 @@
 
 	mjd_cal (*p, &m, &d, &y);	/* init with current */
-	f_sscandate (bp, pref, &m, &d, &y);
+	f_sscandate (bp, PREF_MDY, &m, &d, &y);
 	cal_mjd (m, d, y, p);
 }
 
-/* given an *op and a field id, add it to the given text buffer bp.
- * return the number of characters added to bp.
+/* crack the startok and endok date fields found in several Obj types.
+ * set to 0 if blank or any problems.
+ */
+static void
+crack_okdates (char *fld, float *startok, float *endok)
+{
+	char *sflds[MAXFLDS];
+	double tmp;
+	int m, y;
+	double d;
+	int nsf;
+
+	*startok = *endok = 0;
+	nsf = get_fields(fld, SUBFLD, sflds);
+	if (nsf > 1) {
+	    d = m = y = 0;
+	    f_sscandate (sflds[1], PREF_MDY, &m, &d, &y);
+	    cal_mjd (m, d, y, &tmp);
+	    *startok = (float)tmp;
+	    if (nsf > 2) {
+		d = m = y = 0;
+		f_sscandate (sflds[2], PREF_MDY, &m, &d, &y);
+		cal_mjd (m, d, y, &tmp);
+		*endok = (float)tmp;
+	    }
+	}
+}
+
+/* add startok and endok to string at lp if non-zero.
+ * return number of characters added.
  */
 static int
-db_get_field (op, id, bp)
-Obj *op;
-int id;
-char *bp;
-{
-	char *bpsave = bp;
+get_okdates (char *lp, float *sp, float *ep)
+{
+	char *lp0 = lp;
+
+	if (*sp || *ep) {
+	    *lp++ = '|';
+	    if (*sp)
+		lp += fs_date (lp, *sp);
+	    if (*ep) {
+		*lp++ = '|';
+		lp += fs_date (lp, *ep);
+	    }
+	}
+
+	return (lp - lp0);
+}
+
+static void
+write_f (Obj *op, char lp[])
+{
 	double tmp;
 
-	/* include all the enums and in numeric order to give us the best
-	 * possible chance the compiler will implement this as a jump table.
-	 */
-	switch (id) {
-	case F_RA:
-	    sprintf (bp, ",");
-	    bp += strlen(bp);
-	    fs_sexa (bp, radhr(op->f_RA), 2, 36000);
-	    bp += strlen(bp);
-	    break;
-	case F_DEC:
-	    sprintf (bp, ",");
-	    bp += strlen(bp);
-	    fs_sexa (bp, raddeg(op->f_dec), 3, 3600);
-	    bp += strlen(bp);
-	    break;
-	case F_EPOCH:
-	    mjd_year (op->f_epoch, &tmp);
-	    sprintf (bp, ",%.6g", tmp); /* %.7g gives 2000.001 */
-	    bp += strlen(bp);
-	    break;
-	case F_MAG:
-	    sprintf (bp, ",%6.2f", get_mag(op));
-	    bp += strlen(bp);
-	    break;
-	case F_SIZE:
-	    sprintf (bp, ",%.7g", op->f_size);
-	    bp += strlen(bp);
-	    if (op->f_ratio || op->f_pa) {
-		sprintf (bp,"|%g|%g", op->f_size*get_ratio(op),
+	lp += sprintf (lp, "%s,f", op->o_name);
+	if (op->f_class)
+	    lp += sprintf (lp, "|%c", op->f_class);
+	if (op->f_spect[0])
+	    lp += sprintf (lp, "|%.*s", (int)sizeof(op->f_spect), op->f_spect);
+	*lp++ = ',';
+	lp += fs_sexa (lp, radhr(op->f_RA), 2, 36000);
+	if (op->f_pmRA)
+	    lp += sprintf (lp, "|%.6g",cos(op->f_dec)*op->f_pmRA/1.327e-11);
+	*lp++ = ',';
+	lp += fs_sexa (lp, raddeg(op->f_dec), 3, 3600);
+	if (op->f_pmdec)
+	    lp += sprintf (lp, "|%.6g", op->f_pmdec/1.327e-11);
+	lp += sprintf (lp, ",%.2f", get_mag(op));
+	mjd_year (op->f_epoch, &tmp);
+	lp += sprintf (lp, ",%.6g", tmp); /* %.7g gives 2000.001 */
+	lp += sprintf (lp, ",%.7g", op->f_size);
+	if (op->f_size && (op->f_ratio || op->f_pa))
+	    lp += sprintf (lp,"|%g|%g", op->f_size*get_ratio(op),
 							    raddeg(get_pa(op)));
-		bp += strlen(bp);
-	    }
-	    break;
-	case F_CLASS:
-	    if (op->f_class) {
-		sprintf (bp, "|%c", op->f_class);
-		bp += strlen(bp);
-	    }
-	    break;
-	case F_SPECT:
-	    if (op->f_spect[0] != '\0') {
-		sprintf (bp, "|%c", op->f_spect[0]);
-		bp += strlen(bp);
-		if (op->f_spect[1] != '\0') {
-		    sprintf (bp, "%c", op->f_spect[1]);
-		    bp += strlen(bp);
-		}
-	    }
-	    break;
-
-	case E_INC:
-	    sprintf (bp, ",%.7g", op->e_inc);
-	    bp += strlen(bp);
-	    break;
-	case E_LAN:
-	    sprintf (bp, ",%.7g", op->e_Om);
-	    bp += strlen(bp);
-	    break;
-	case E_AOP:
-	    sprintf (bp, ",%.7g", op->e_om);
-	    bp += strlen(bp);
-	    break;
-	case E_A:
-	    sprintf (bp, ",%.7g", op->e_a);
-	    bp += strlen(bp);
-	    break;
-	case E_N:
-	    /* retired */
-	    sprintf (bp, ",");
-	    bp += strlen(bp);
-	    break;
-	case E_E:
-	    sprintf (bp, ",%.7g", op->e_e);
-	    bp += strlen(bp);
-	    break;
-	case E_M:
-	    sprintf (bp, ",%.7g", op->e_M);
-	    bp += strlen(bp);
-	    break;
-	case E_CEPOCH:
-	    sprintf (bp, ",");
-	    bp += strlen(bp);
-	    fs_date (bp, op->e_cepoch);
-	    bp += strlen(bp);
-	    break;
-	case E_EPOCH:
-	    sprintf (bp, ",");
-	    bp += strlen(bp);
-	    fs_date (bp, op->e_epoch);
-	    bp += strlen(bp);
-	    break;
-	case E_M1:
-	    if (op->e_mag.whichm == MAG_gk) {
-		sprintf (bp, ",g%.7g", op->e_mag.m1);
-		bp += strlen(bp);
-	    } else if (op->e_mag.whichm == MAG_HG) {
-		sprintf (bp, ",H%.7g", op->e_mag.m1);
-		bp += strlen(bp);
-	    } else {
-		sprintf (bp, ",%.7g", op->e_mag.m1);
-		bp += strlen(bp);
-	    }
-	    break;
-	case E_M2:
-	    sprintf (bp, ",%.7g", op->e_mag.m2);
-	    bp += strlen(bp);
-	    break;
-	case E_SIZE:
-	    sprintf (bp, ",%.7g", op->e_size);
-	    bp += strlen(bp);
-	    break;
-
-	case H_EP:
-	    sprintf (bp, ",");
-	    bp += strlen(bp);
-	    fs_date (bp, op->h_ep);
-	    bp += strlen(bp);
-	    break;
-	case H_INC:
-	    sprintf (bp, ",%.7g", op->h_inc);
-	    bp += strlen(bp);
-	    break;
-	case H_LAN:
-	    sprintf (bp, ",%.7g", op->h_Om);
-	    bp += strlen(bp);
-	    break;
-	case H_AOP:
-	    sprintf (bp, ",%.7g", op->h_om);
-	    bp += strlen(bp);
-	    break;
-	case H_E:
-	    sprintf (bp, ",%.7g", op->h_e);
-	    bp += strlen(bp);
-	    break;
-	case H_QP:
-	    sprintf (bp, ",%.7g", op->h_qp);
-	    bp += strlen(bp);
-	    break;
-	case H_EPOCH:
-	    sprintf (bp, ",");
-	    bp += strlen(bp);
-	    fs_date (bp, op->h_epoch);
-	    bp += strlen(bp);
-	    break;
-	case H_G:
-	    sprintf (bp, ",%.7g", op->h_g);
-	    bp += strlen(bp);
-	    break;
-	case H_K:
-	    sprintf (bp, ",%.7g", op->h_k);
-	    bp += strlen(bp);
-	    break;
-	case H_SIZE:
-	    sprintf (bp, ",%.7g", op->h_size);
-	    bp += strlen(bp);
-	    break;
-
-	case P_EP:
-	    sprintf (bp, ",");
-	    bp += strlen(bp);
-	    fs_date (bp, op->p_ep);
-	    bp += strlen(bp);
-	    break;
-	case P_INC:
-	    sprintf (bp, ",%.7g", op->p_inc);
-	    bp += strlen(bp);
-	    break;
-	case P_AOP:
-	    sprintf (bp, ",%.7g", op->p_om);
-	    bp += strlen(bp);
-	    break;
-	case P_QP:
-	    sprintf (bp, ",%.7g", op->p_qp);
-	    bp += strlen(bp);
-	    break;
-	case P_LAN:
-	    sprintf (bp, ",%.7g", op->p_Om);
-	    bp += strlen(bp);
-	    break;
-	case P_EPOCH:
-	    sprintf (bp, ",");
-	    bp += strlen(bp);
-	    fs_date (bp, op->p_epoch);
-	    bp += strlen(bp);
-	    break;
-	case P_G:
-	    sprintf (bp, ",%.7g", op->p_g);
-	    bp += strlen(bp);
-	    break;
-	case P_K:
-	    sprintf (bp, ",%.7g", op->p_k);
-	    bp += strlen(bp);
-	    break;
-	case P_SIZE:
-	    sprintf (bp, ",%.7g", op->p_size);
-	    bp += strlen(bp);
-	    break;
-
-	case ES_EPOCH:
-	    sprintf (bp, ",");
-	    bp += strlen(bp);
-	    fs_date (bp, op->es_epoch);
-	    bp += strlen(bp);
-	    break;
-	case ES_INC:
-	    sprintf (bp, ",%.7g", op->es_inc);
-	    bp += strlen(bp);
-	    break;
-	case ES_RAAN:
-	    sprintf (bp, ",%.7g", op->es_raan);
-	    bp += strlen(bp);
-	    break;
-	case ES_E:
-	    sprintf (bp, ",%.7g", op->es_e);
-	    bp += strlen(bp);
-	    break;
-	case ES_AP:
-	    sprintf (bp, ",%.7g", op->es_ap);
-	    bp += strlen(bp);
-	    break;
-	case ES_M:
-	    sprintf (bp, ",%.7g", op->es_M);
-	    bp += strlen(bp);
-	    break;
-	case ES_N:
-	    sprintf (bp, ",%.7g", op->es_n);
-	    bp += strlen(bp);
-	    break;
-	case ES_DECAY:
-	    sprintf (bp, ",%.7g", op->es_decay);
-	    bp += strlen(bp);
-	    break;
-	case ES_ORBIT:
-	    sprintf (bp, ",%d", op->es_orbit);
-	    bp += strlen(bp);
-	    break;
-	case ES_DRAG:
-	    sprintf (bp, ",%.7g", op->es_drag);
-	    bp += strlen(bp);
-	    break;
-
-	default:
-	    printf ("BUG! db_set_field: bad id: %d\n", id);
-	    exit (1);
-	}
-
-	return (bp - bpsave);
+}
+
+static void
+write_e (Obj *op, char lp[])
+{
+	lp += sprintf (lp, "%s,e", op->o_name);
+	lp += sprintf (lp, ",%.7g", op->e_inc);
+	lp += sprintf (lp, ",%.7g", op->e_Om);
+	lp += sprintf (lp, ",%.7g", op->e_om);
+	lp += sprintf (lp, ",%.7g", op->e_a);
+	lp += sprintf (lp, ",%.7g", 0.0);		/* retired op->e_n */
+	lp += sprintf (lp, ",%.7g", op->e_e);
+	lp += sprintf (lp, ",%.7g", op->e_M);
+	*lp++ = ',';
+	lp += fs_date (lp, op->e_cepoch);
+	lp += get_okdates (lp, &op->e_startok, &op->e_endok);
+	*lp++ = ',';
+	lp += fs_date (lp, op->e_epoch);
+	if (op->e_mag.whichm == MAG_gk)
+	    lp += sprintf (lp, ",g%.7g", op->e_mag.m1);
+	else if (op->e_mag.whichm == MAG_HG)
+	    lp += sprintf (lp, ",H%.7g", op->e_mag.m1);
+	else
+	    lp += sprintf (lp, ",%.7g", op->e_mag.m1);
+	lp += sprintf (lp, ",%.7g", op->e_mag.m2);
+	lp += sprintf (lp, ",%.7g", op->e_size);
+}
+
+static void
+write_h (Obj *op, char lp[])
+{
+	lp += sprintf (lp, "%s,h", op->o_name);
+	*lp++ = ',';
+	lp += fs_date (lp, op->h_ep);
+	lp += get_okdates (lp, &op->h_startok, &op->h_endok);
+	lp += sprintf (lp, ",%.7g", op->h_inc);
+	lp += sprintf (lp, ",%.7g", op->h_Om);
+	lp += sprintf (lp, ",%.7g", op->h_om);
+	lp += sprintf (lp, ",%.7g", op->h_e);
+	lp += sprintf (lp, ",%.7g", op->h_qp);
+	*lp++ = ',';
+	lp += fs_date (lp, op->h_epoch);
+	lp += sprintf (lp, ",%.7g", op->h_g);
+	lp += sprintf (lp, ",%.7g", op->h_k);
+	lp += sprintf (lp, ",%.7g", op->h_size);
+}
+
+static void
+write_p (Obj *op, char lp[])
+{
+	lp += sprintf (lp, "%s,p", op->o_name);
+	*lp++ = ',';
+	lp += fs_date (lp, op->p_ep);
+	lp += get_okdates (lp, &op->p_startok, &op->p_endok);
+	lp += sprintf (lp, ",%.7g", op->p_inc);
+	lp += sprintf (lp, ",%.7g", op->p_om);
+	lp += sprintf (lp, ",%.7g", op->p_qp);
+	lp += sprintf (lp, ",%.7g", op->p_Om);
+	*lp++ = ',';
+	lp += fs_date (lp, op->p_epoch);
+	lp += sprintf (lp, ",%.7g", op->p_g);
+	lp += sprintf (lp, ",%.7g", op->p_k);
+	lp += sprintf (lp, ",%.7g", op->p_size);
+}
+
+static void
+write_E (Obj *op, char lp[])
+{
+	lp += sprintf (lp, "%s,E", op->o_name);
+	*lp++ = ',';
+	lp += fs_date (lp, op->es_epoch);
+	lp += get_okdates (lp, &op->es_startok, &op->es_endok);
+	lp += sprintf (lp, ",%.7g", op->es_inc);
+	lp += sprintf (lp, ",%.7g", op->es_raan);
+	lp += sprintf (lp, ",%.7g", op->es_e);
+	lp += sprintf (lp, ",%.7g", op->es_ap);
+	lp += sprintf (lp, ",%.7g", op->es_M);
+	lp += sprintf (lp, ",%.7g", op->es_n);
+	lp += sprintf (lp, ",%.7g", op->es_decay);
+	lp += sprintf (lp, ",%d", op->es_orbit);
+	lp += sprintf (lp, ",%.7g", op->es_drag);
+}
+
+static void
+write_B (Obj *op, char lp[])
+{
+	double tmp;
+
+	lp += sprintf (lp, "%s,B", op->o_name);
+	if (op->f_class)
+	    lp += sprintf (lp, "|%c", op->f_class);
+	if (op->f_spect[0])
+	    lp += sprintf (lp, "|%.*s", (int)sizeof(op->f_spect), op->f_spect);
+	if (op->b_2spect[0])
+	    lp += sprintf (lp, "|%.*s", (int)sizeof(op->b_2spect),op->b_2spect);
+	*lp++ = ',';
+	lp += fs_sexa (lp, radhr(op->f_RA), 2, 36000);
+	if (op->f_pmRA)
+	    lp += sprintf (lp, "|%.6g",cos(op->f_dec)*op->f_pmRA/1.327e-11);
+	*lp++ = ',';
+	lp += fs_sexa (lp, raddeg(op->f_dec), 3, 3600);
+	if (op->f_pmdec)
+	    lp += sprintf (lp, "|%.6g", op->f_pmdec/1.327e-11);
+	lp += sprintf (lp, ",%.2f", get_mag(op));
+	lp += sprintf (lp, "|%.2f", op->b_2mag/MAGSCALE);
+	mjd_year (op->f_epoch, &tmp);
+	lp += sprintf (lp, ",%.6g", tmp); /* %.7g gives 2000.001 */
+	if (op->b_nbp == 0) {
+	    lp += sprintf (lp, ",%.6g",  op->b_bo.bo_a);
+	    lp += sprintf (lp, "|%.6g",  op->b_bo.bo_i);
+	    lp += sprintf (lp, "|%.6g",  op->b_bo.bo_O);
+	    lp += sprintf (lp, "|%.6g",  op->b_bo.bo_e);
+	    lp += sprintf (lp, "|%.6g",  op->b_bo.bo_T);
+	    lp += sprintf (lp, "|%.6g",  op->b_bo.bo_o);
+	    lp += sprintf (lp, "|%.6gy", op->b_bo.bo_P);
+	} else {
+	    int i;
+
+	    for (i = 0; i < op->b_nbp; i++) {
+		BinPos *bp = &op->b_bp[i];
+		lp += sprintf (lp, "%c%.6g", i==0?',':'|', bp->bp_ep);
+		lp += sprintf (lp, "|%.6g", bp->bp_sep);
+		lp += sprintf (lp, "|%.6g", raddeg(bp->bp_pa));
+	    }
+	}
+}
+
+static void
+write_P (Obj *op, char lp[])
+{
+
+	lp += sprintf (lp, "%s,P", op->o_name);
 }
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: dbfmt.c,v $ $Date: 2001-10-22 12:08:26 $ $Revision: 1.2 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: dbfmt.c,v $ $Date: 2004-06-15 16:52:38 $ $Revision: 1.3 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/earthsat.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/earthsat.c	(revision 2550)
+++ /trunk/SophyaExt/XephemAstroLib/earthsat.c	(revision 2551)
@@ -23,12 +23,7 @@
 #include <math.h>
 #include <string.h>
-
-#if defined(__STDC__)
 #include <stdlib.h>
-#endif
-
-#include "P_.h"
+
 #include "astro.h"
-#include "circum.h"
 #include "preferences.h"
 
@@ -42,36 +37,37 @@
 typedef double MAT3x3[3][3];
 
-static void esat_prop P_((Now *np, Obj *op, double *SatX, double *SatY, double
-    *SatZ, double *SatVX, double *SatVY, double *SatVZ));
-static void GetSatelliteParams P_((Obj *op));
-static void GetSiteParams P_((Now *np));
-static double Kepler P_((double MeanAnomaly, double Eccentricity));
-static void GetSubSatPoint P_((double SatX, double SatY, double SatZ,
-    double T, double *Latitude, double *Longitude, double *Height));
-static void GetSatPosition P_((double EpochTime, double EpochRAAN,
+static int crazyOp (Now *np, Obj *op);
+static void esat_prop (Now *np, Obj *op, double *SatX, double *SatY, double
+    *SatZ, double *SatVX, double *SatVY, double *SatVZ);
+static void GetSatelliteParams (Obj *op);
+static void GetSiteParams (Now *np);
+static double Kepler (double MeanAnomaly, double Eccentricity);
+static void GetSubSatPoint (double SatX, double SatY, double SatZ,
+    double T, double *Latitude, double *Longitude, double *Height);
+static void GetSatPosition (double EpochTime, double EpochRAAN,
     double EpochArgPerigee, double SemiMajorAxis, double Inclination,
     double Eccentricity, double RAANPrecession, double PerigeePrecession,
     double T, double TrueAnomaly, double *X, double *Y, double *Z,
-    double *Radius, double *VX, double *VY, double *VZ));
-static void GetSitPosition P_((double SiteLat, double SiteLong,
+    double *Radius, double *VX, double *VY, double *VZ);
+static void GetSitPosition (double SiteLat, double SiteLong,
     double SiteElevation, double CrntTime, double *SiteX, double *SiteY,
-    double *SiteZ, double *SiteVX, double *SiteVY, MAT3x3 SiteMatrix));
-static void GetRange P_((double SiteX, double SiteY, double SiteZ,
+    double *SiteZ, double *SiteVX, double *SiteVY, MAT3x3 SiteMatrix);
+static void GetRange (double SiteX, double SiteY, double SiteZ,
     double SiteVX, double SiteVY, double SatX, double SatY, double SatZ,
     double SatVX, double SatVY, double SatVZ, double *Range,
-    double *RangeRate));
-static void GetTopocentric P_((double SatX, double SatY, double SatZ,
+    double *RangeRate);
+static void GetTopocentric (double SatX, double SatY, double SatZ,
     double SiteX, double SiteY, double SiteZ, MAT3x3 SiteMatrix, double *X,
-    double *Y, double *Z));
-static void GetBearings P_((double SatX, double SatY, double SatZ,
+    double *Y, double *Z);
+static void GetBearings (double SatX, double SatY, double SatZ,
     double SiteX, double SiteY, double SiteZ, MAT3x3 SiteMatrix,
-    double *Azimuth, double *Elevation));
-static int Eclipsed P_((double SatX, double SatY, double SatZ,
-    double SatRadius, double CrntTime));
-static void InitOrbitRoutines P_((double EpochDay, int AtEod));
+    double *Azimuth, double *Elevation);
+static int Eclipsed (double SatX, double SatY, double SatZ,
+    double SatRadius, double CrntTime);
+static void InitOrbitRoutines (double EpochDay, int AtEod);
 
 #ifdef USE_ORBIT_PROPAGATOR 
-static void GetPrecession P_((double SemiMajorAxis, double Eccentricity,
-    double Inclination, double *RAANPrecession, double *PerigeePrecession));
+static void GetPrecession (double SemiMajorAxis, double Eccentricity,
+    double Inclination, double *RAANPrecession, double *PerigeePrecession);
 #endif /* USE_ORBIT_PROPAGATOR */
 
@@ -135,7 +131,5 @@
  */
 int
-obj_earthsat (np, op)
-Now *np;
-Obj *op;
+obj_earthsat (Now *np, Obj *op)
 {
 	double Radius;              /* From geocenter                  */
@@ -267,9 +261,6 @@
  */
 static void
-esat_prop (np, op, SatX, SatY, SatZ, SatVX, SatVY, SatVZ)
-Now *np;
-Obj *op;
-double *SatX,*SatY,*SatZ;
-double *SatVX,*SatVY,*SatVZ;
+esat_prop (Now *np, Obj *op, double *SatX, double *SatY, double *SatZ,
+double *SatVX, double *SatVY, double *SatVZ)
 {
 #ifdef USE_ORBIT_PROPAGATOR
@@ -284,4 +275,9 @@
 	double Radius;
 	double CrntTime;
+
+	if (crazyOp (np, op)) {
+	    *SatX = *SatY = *SatZ = *SatVX = *SatVY = *SatVZ = 0;
+	    return;
+	}
 
 	SemiMajorAxis = 331.25 * exp(2*log(MinutesPerDay/epochMeanMotion)/3);
@@ -331,4 +327,9 @@
 	double dt;
 	int yr;
+
+	if (crazyOp (np, op)) {
+	    *SatX = *SatY = *SatZ = *SatVX = *SatVY = *SatVZ = 0;
+	    return;
+	}
 
 	/* init */
@@ -392,10 +393,16 @@
 }
 
+/* return 1 if op is crazy @ np */
+static int
+crazyOp (Now *np, Obj *op)
+{
+	/* figure its daft if long enough to decay 1 rev/day */
+	return (fabs(op->es_epoch - mjd) > 1/op->es_decay);
+}
 
 /* grab the xephem stuff from op and copy into orbit's globals.
  */
 static void
-GetSatelliteParams(op)
-Obj *op;
+GetSatelliteParams(Obj *op)
 {
 	/* the following are for the orbit functions */
@@ -429,6 +436,5 @@
  
 static void
-GetSiteParams(np)
-Now *np;
+GetSiteParams(Now *np)
 {
 	SiteLat = lat;
@@ -465,7 +471,5 @@
  
 static
-double Kepler(MeanAnomaly,Eccentricity)
-register double MeanAnomaly,Eccentricity;
- 
+double Kepler(double MeanAnomaly, double Eccentricity)
 {
 register double E;              /* Eccentric Anomaly                    */
@@ -494,7 +498,6 @@
  
 static void
-GetSubSatPoint(SatX,SatY,SatZ,T,Latitude,Longitude,Height)
-double SatX,SatY,SatZ,T;
-double *Latitude,*Longitude,*Height;
+GetSubSatPoint(double SatX, double SatY, double SatZ, double T,
+double *Latitude, double *Longitude, double *Height)
 {
     double r;
@@ -524,8 +527,6 @@
 #ifdef USE_ORBIT_PROPAGATOR
 static void
-GetPrecession(SemiMajorAxis,Eccentricity,Inclination,
-        RAANPrecession,PerigeePrecession)
-double SemiMajorAxis,Eccentricity,Inclination;
-double *RAANPrecession,*PerigeePrecession;
+GetPrecession(double SemiMajorAxis, double Eccentricity, double Inclination,
+double *RAANPrecession, double *PerigeePrecession)
 {
   *RAANPrecession = 9.95*pow(EarthRadius/SemiMajorAxis,3.5) * cos(Inclination)
@@ -544,12 +545,9 @@
 
 static void
-GetSatPosition(EpochTime,EpochRAAN,EpochArgPerigee,SemiMajorAxis,
-	Inclination,Eccentricity,RAANPrecession,PerigeePrecession,
-	T,TrueAnomaly,X,Y,Z,Radius,VX,VY,VZ)
- 
-double EpochTime,EpochRAAN,EpochArgPerigee;
-double SemiMajorAxis,Inclination,Eccentricity;
-double RAANPrecession,PerigeePrecession,T, TrueAnomaly;
-double *X,*Y,*Z,*Radius,*VX,*VY,*VZ;
+GetSatPosition(double EpochTime, double EpochRAAN, double EpochArgPerigee,
+double SemiMajorAxis, double Inclination, double Eccentricity,
+double RAANPrecession, double PerigeePrecession, double T,
+double TrueAnomaly, double *X, double *Y, double *Z, double *Radius,
+double *VX, double *VY, double *VZ)
 
 {
@@ -607,11 +605,7 @@
 
 static void
-GetSitPosition(SiteLat,SiteLong,SiteElevation,CrntTime,
-             SiteX,SiteY,SiteZ,SiteVX,SiteVY,SiteMatrix)
-
-double SiteLat,SiteLong,SiteElevation,CrntTime;
-double *SiteX,*SiteY,*SiteZ,*SiteVX,*SiteVY;
-MAT3x3 SiteMatrix;
-
+GetSitPosition(double SiteLat, double SiteLong, double SiteElevation,
+double CrntTime, double *SiteX, double *SiteY, double *SiteZ, double *SiteVX,
+double *SiteVY, MAT3x3 SiteMatrix)
 {
     static double G1,G2; /* Used to correct for flattening of the Earth */
@@ -663,10 +657,7 @@
 
 static void
-GetRange(SiteX,SiteY,SiteZ,SiteVX,SiteVY,
-	SatX,SatY,SatZ,SatVX,SatVY,SatVZ,Range,RangeRate)
-
-double SiteX,SiteY,SiteZ,SiteVX,SiteVY;
-double SatX,SatY,SatZ,SatVX,SatVY,SatVZ;
-double *Range,*RangeRate;
+GetRange(double SiteX, double SiteY, double SiteZ, double SiteVX,
+double SiteVY, double SatX, double SatY, double SatZ, double SatVX,
+double SatVY, double SatVZ, double *Range, double *RangeRate)
 {
     double DX,DY,DZ;
@@ -684,8 +675,7 @@
 
 static void
-GetTopocentric(SatX,SatY,SatZ,SiteX,SiteY,SiteZ,SiteMatrix,X,Y,Z)
-double SatX,SatY,SatZ,SiteX,SiteY,SiteZ;
-double *X,*Y,*Z;
-MAT3x3 SiteMatrix;
+GetTopocentric(double SatX, double SatY, double SatZ, double SiteX,
+double SiteY, double SiteZ, MAT3x3 SiteMatrix, double *X, double *Y,
+double *Z)
 {
     SatX -= SiteX;
@@ -702,8 +692,7 @@
 
 static void
-GetBearings(SatX,SatY,SatZ,SiteX,SiteY,SiteZ,SiteMatrix,Azimuth,Elevation)
-double SatX,SatY,SatZ,SiteX,SiteY,SiteZ;
-MAT3x3 SiteMatrix;
-double *Azimuth,*Elevation;
+GetBearings(double SatX, double SatY, double SatZ, double SiteX,
+double SiteY, double SiteZ, MAT3x3 SiteMatrix, double *Azimuth,
+double *Elevation)
 {
     double x,y,z;
@@ -720,6 +709,6 @@
 
 static int
-Eclipsed(SatX,SatY,SatZ,SatRadius,CrntTime)
-double SatX,SatY,SatZ,SatRadius,CrntTime;
+Eclipsed(double SatX, double SatY, double SatZ, double SatRadius,
+double CrntTime)
 {
     double MeanAnomaly,TrueAnomaly;
@@ -751,7 +740,5 @@
 
 static void
-InitOrbitRoutines(EpochDay, AtEod)
-double EpochDay;
-int AtEod;
+InitOrbitRoutines(double EpochDay, int AtEod)
 {
     double T,T2,T3,Omega;
@@ -797,3 +784,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: earthsat.c,v $ $Date: 2001-10-22 12:08:27 $ $Revision: 1.2 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: earthsat.c,v $ $Date: 2004-06-15 16:52:38 $ $Revision: 1.3 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/eq_ecl.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/eq_ecl.c	(revision 2550)
+++ /trunk/SophyaExt/XephemAstroLib/eq_ecl.c	(revision 2551)
@@ -2,9 +2,8 @@
 #include <math.h>
 
-#include "P_.h"
 #include "astro.h"
 
-static void ecleq_aux P_((int sw, double mjd, double x, double y,
-    double *p, double *q));
+static void ecleq_aux (int sw, double mj, double x, double y,
+    double *p, double *q);
 
 #define	EQtoECL	1
@@ -12,21 +11,18 @@
 
 
-/* given the modified Julian date, mjd, and an equitorial ra and dec, each in
- * radians, find the corresponding geocentric ecliptic latitude, *lat, and
- * longititude, *lng, also each in radians.
+/* given the modified Julian date, mj, and an equitorial ra and dec, each in
+ * radians, find the corresponding geocentric ecliptic latitude, *lt, and
+ * longititude, *lg, also each in radians.
  * correction for the effect on the angle of the obliquity due to nutation is
  * not included.
  */
 void
-eq_ecl (mjd, ra, dec, lat, lng)
-double mjd;
-double ra, dec;
-double *lat, *lng;
+eq_ecl (double mj, double ra, double dec, double *lt, double *lg)
 {
-	ecleq_aux (EQtoECL, mjd, ra, dec, lng, lat);
+	ecleq_aux (EQtoECL, mj, ra, dec, lg, lt);
 }
 
-/* given the modified Julian date, mjd, and a geocentric ecliptic latitude,
- * *lat, and longititude, *lng, each in radians, find the corresponding
+/* given the modified Julian date, mj, and a geocentric ecliptic latitude,
+ * *lt, and longititude, *lg, each in radians, find the corresponding
  * equitorial ra and dec, also each in radians.
  * correction for the effect on the angle of the obliquity due to nutation is
@@ -34,29 +30,26 @@
  */
 void
-ecl_eq (mjd, lat, lng, ra, dec)
-double mjd;
-double lat, lng;
-double *ra, *dec;
+ecl_eq (double mj, double lt, double lg, double *ra, double *dec)
 {
-	ecleq_aux (ECLtoEQ, mjd, lng, lat, ra, dec);
+	ecleq_aux (ECLtoEQ, mj, lg, lt, ra, dec);
 }
 
 static void
-ecleq_aux (sw, mjd, x, y, p, q)
-int sw;			/* +1 for eq to ecliptic, -1 for vv. */
-double mjd;
-double x, y;		/* sw==1: x==ra, y==dec.  sw==-1: x==lng, y==lat. */
-double *p, *q;		/* sw==1: p==lng, q==lat. sw==-1: p==ra, q==dec. */
+ecleq_aux (
+int sw,			/* +1 for eq to ecliptic, -1 for vv. */
+double mj,
+double x, double y,	/* sw==1: x==ra, y==dec.  sw==-1: x==lg, y==lt. */
+double *p, double *q)	/* sw==1: p==lg, q==lt. sw==-1: p==ra, q==dec. */
 {
-	static double lastmjd = -10000;	/* last mjd calculated */
+	static double lastmj = -10000;	/* last mj calculated */
 	static double seps, ceps;	/* sin and cos of mean obliquity */
 	double sx, cx, sy, cy, ty, sq;
 
-	if (mjd != lastmjd) {
+	if (mj != lastmj) {
 	    double eps;
-	    obliquity (mjd, &eps);		/* mean obliquity for date */
+	    obliquity (mj, &eps);		/* mean obliquity for date */
     	    seps = sin(eps);
 	    ceps = cos(eps);
-	    lastmjd = mjd;
+	    lastmj = mj;
 	}
 
@@ -77,3 +70,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: eq_ecl.c,v $ $Date: 2001-10-22 12:08:27 $ $Revision: 1.2 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: eq_ecl.c,v $ $Date: 2004-06-15 16:52:38 $ $Revision: 1.3 $ $Name: not supported by cvs2svn $"};
Index: /trunk/SophyaExt/XephemAstroLib/eq_gal.c
===================================================================
--- /trunk/SophyaExt/XephemAstroLib/eq_gal.c	(revision 2550)
+++ /trunk/SophyaExt/XephemAstroLib/eq_gal.c	(revision 2551)
@@ -4,9 +4,8 @@
 #include <math.h>
 
-#include "P_.h"
 #include "astro.h"
 
-static void galeq_aux P_((int sw, double x, double y, double *p, double *q));
-static void galeq_init P_((void));
+static void galeq_aux (int sw, double x, double y, double *p, double *q);
+static void galeq_init (void);
 
 #define	EQtoGAL	1
@@ -18,40 +17,36 @@
 static double gpd = degrad(27.12825);   /* Dec of  " */
 static double cgpd, sgpd;		/* cos() and sin() of gpd */
-static double mjd2000;			/* mjd of 2000 */
+static double mj2000;			/* mj of 2000 */
 static int before;			/* whether these have been set yet */
 
 /* given ra and dec, each in radians, for the given epoch, find the
- * corresponding galactic latitude, *lat, and longititude, *lng, also each in
+ * corresponding galactic latitude, *lt, and longititude, *lg, also each in
  * radians.
  */
 void
-eq_gal (mjd, ra, dec, lat, lng)
-double mjd, ra, dec;
-double *lat, *lng;
+eq_gal (double mj, double ra, double dec, double *lt, double *lg)
 {
 	galeq_init();
-	precess (mjd, mjd2000, &ra, &dec);
-	galeq_aux (EQtoGAL, ra, dec, lng, lat);
+	precess (mj, mj2000, &ra, &dec);
+	galeq_aux (EQtoGAL, ra, dec, lg, lt);
 }
 
-/* given galactic latitude, lat, and longititude, lng, each in radians, find
+/* given galactic latitude, lt, and longititude, lg, each in radians, find
  * the corresponding equitorial ra and dec, also each in radians, at the 
  * given epoch.
  */
 void
-gal_eq (mjd, lat, lng, ra, dec)
-double mjd, lat, lng;
-double *ra, *dec;
+gal_eq (double mj, double lt, double lg, double *ra, double *dec)
 {
 	galeq_init();
-	galeq_aux (GALtoEQ, lng, lat, ra, dec);
-	precess (mjd2000, mjd, ra, dec);
+	galeq_aux (GALtoEQ, lg, lt, ra, dec);
+	precess (mj2000, mj, ra, dec);
 }
 
 static void
-galeq_aux (sw, x, y, p, q)
-int sw;			/* +1 for eq to gal, -1 for vv. */
-double x, y;		/* sw==1: x==ra, y==dec.  sw==-1: x==lng, y==lat. */
-double *p, *q;		/* sw==1: p==lng, q==lat. sw==-1: p==ra, q==dec. */
+galeq_aux (
+int sw,			/* +1 for eq to gal, -1 for vv. */
+double x, double y,	/* sw==1: x==ra, y==dec.  sw==-1: x==lg, y==lt. */
+double *p, double *q)	/* sw==1: p==lg, q==lt. sw==-1: p==ra, q==dec. */
 {
 	double sy, cy, a, ca, sa, b, sq, c, d; 
@@ -96,5 +91,5 @@
 	    cgpd = cos (gpd);
 	    sgpd = sin (gpd);
-	    mjd2000 = J2000;
+	    mj2000 = J2000;
 	    before = 1;
 	}
@@ -102,3 +97,3 @@
 
 /* For RCS Only -- Do Not Edit */
-static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: eq_gal.c,v $ $Date: 2001-10-22 12:08:27 $ $Revision: 1.2 $ $Name: not supported by cvs2svn $"};
+static char *rcsid[2] = {(char *)rcsid, "@(#) $RCSfile: eq_gal.c,v $ $Date: 2004-06-15 16:52:38 $ $Revision: 1.3 $ $Name: not supported by cvs2svn $"};
